from kervi_devices.pwm.PCA9685 import PCA9685DeviceDriver




class PCA9685ServoDeviceDriver(PCA9685DeviceDriver):
    def __init__(self, address=PCA9685_ADDRESS, bus=None):
        PCA9685DeviceDriver.__init__(self, address, bus)

# Configure min and max servo pulse lengths
servo_min = 150  # Min pulse length out of 4096
servo_max = 600  # Max pulse length out of 4096

# Helper function to make setting a servo pulse width simpler.
def set_servo_pulse(channel, pulse):
    pulse_length = 1000000    # 1,000,000 us per second
    pulse_length //= 60       # 60 Hz
    print('{0}us per period'.format(pulse_length))
    pulse_length //= 4096     # 12 bits of resolution
    print('{0}us per bit'.format(pulse_length))
    pulse *= 1000
    pulse //= pulse_length
    pwm.set_pwm(channel, 0, pulse)
